#Parts of this file are copied from Digilent's CMOD A7 example. Signal names are adapted to the new project.

set_property -dict { PACKAGE_PIN L17   IOSTANDARD LVCMOS33 } [get_ports { Osc12MHz }]; #IO_L12P_T1_MRCC_14 Sch=gclk
create_clock -add -name Osc12MHz -period 83.33 -waveform {0 41.66} [get_ports {Osc12MHz}];

## RGB LED
set_property -dict { PACKAGE_PIN B17   IOSTANDARD LVCMOS33 } [get_ports { LED_B }]; #IO_L14N_T2_SRCC_16 Sch=led0_b
set_property -dict { PACKAGE_PIN B16   IOSTANDARD LVCMOS33 } [get_ports { LED_G }]; #IO_L13N_T2_MRCC_16 Sch=led0_g
set_property -dict { PACKAGE_PIN C17   IOSTANDARD LVCMOS33 } [get_ports { LED_R }]; #IO_L14P_T2_SRCC_16 Sch=led0_r

## LEDs
set_property -dict { PACKAGE_PIN A17   IOSTANDARD LVCMOS33 } [get_ports { LED_1 }]; #IO_L12N_T1_MRCC_16 Sch=led[1]
set_property -dict { PACKAGE_PIN C16   IOSTANDARD LVCMOS33 } [get_ports { LED_2 }]; #IO_L13P_T2_MRCC_16 Sch=led[2]

## Buttons
set_property -dict { PACKAGE_PIN A18   IOSTANDARD LVCMOS33 } [get_ports { BTN_0 }]; #IO_L19N_T3_VREF_16 Sch=btn[0]
set_property -dict { PACKAGE_PIN B18   IOSTANDARD LVCMOS33 } [get_ports { BTN_1 }]; #IO_L19P_T3_16 Sch=btn[1]
