{   ResolverAD2S1200DecA7  - Resolver connected to AD2S1200 decoder with CmodA7 board
    Copyright (C) 2021 VCC
    release date: 31 Oct 2021
    author: VCC

    This file is part of ResolverAD2S1200DecA7 project.

    Permission is hereby granted, free of charge, to any person obtaining a copy
    of this software and associated documentation files (the "Software"),
    to deal in the Software without restriction, including without limitation
    the rights to use, copy, modify, merge, publish, distribute, sublicense,
    and/or sell copies of the Software, and to permit persons to whom the
    Software is furnished to do so, subject to the following conditions:

    The above copyright notice and this permission notice shall be included
    in all copies or substantial portions of the Software.

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
    EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
    IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
    DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
    TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
    OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
}

{$IFDEF IsMCU}
var
  TFT_BLED: sbit; sfr; external;
  
  TriggerLevel: Integer; external;
  EnableVelocityDisplay: bit; external;
  
  OldAngle: Integer; external;
  Angle: Integer; external;
  
  procedure PaintResStatusSignals(PaintAnyway: Boolean); external;
  procedure LoadSettingsFromFlash; external;
  procedure SaveSettingsToFlash; external;

{$ENDIF}